---
Name: photon-4-ca7c9e933-install
Description: VMware Photon OS deployment boot environment.
Documentation: |
  This BootEnv installs the VMware Photon distribution.

    * ISOS can be found at: <https://packages.vmware.com/photon/>

  photon v3 urls - need updated to v4 references:

    * Documentation at: <https://vmware.github.io/photon/assets/files/html/3.0/photon_admin/Photon-RPM-OSTree-7-Installing-a-host-against-a-custom-server-repository.html#automated-install-of-a-custom-host-via-kickstart>
    * Kickstart Doc: <https://vmware.github.io/photon/assets/files/html/3.0/photon_user/kickstart.html>

BootParams: ""
Initrds: []
Kernel: ""
Meta:
  color: blue
  feature-flags: change-stage-v2
  icon: linux
  title: Digital Rebar Community Content
  type: os
  group-by: Photon
OS:
  Family: "redhat"
  Codename: "photon"
  IsoFile: ""
  IsoSha256: ""
  IsoUrl: ""
  Name: "photon-4-ca7c9e933"
  SupportedArchitectures:
    x86_64:
      BootParams: >-
        root=/dev/ram0 ks={{.SecureProvisionerURL}}/{{.Machine.Path}}/compute.ks loglevel=3 insecure_installation=1
        repo={{.Env.InstallUrl}}/RPMS
        {{.Param "kernel-options"}} -- {{.Param "kernel-console"}}
      Initrds:
        - isolinux/initrd.img
      IsoFile: photon-minimal-4.0-ca7c9e933.iso
      IsoUrl: https://rackn-repo.s3.us-west-2.amazonaws.com/isos/vmware/photon/4/photon-minimal-4.0-ca7c9e933.iso
      Kernel: isolinux/vmlinuz
      Loader: ""
      Sha256: "9863ef043f67a0a55f52e8f053b45b3e21fa39d04f52350130eb97e01e2f4a59"
  Version: "4"
OnlyUnknown: false
OptionalParams:
  - operating-system-disk
  - provisioner-default-password-hash
  - kernel-console
  - kernel-options
  - proxy-servers
  - select-kickseed
  - kickstart-base-packages
  - extra-packages
RequiredParams: []
Templates:
  - ID: kexec.tmpl
    Name: kexec
    Path: "{{.Machine.Path}}/kexec"
  - ID: default-pxelinux.tmpl
    Name: pxelinux
    Path: pxelinux.cfg/{{.Machine.HexAddress}}
  - ID: default-ipxe.tmpl
    Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
  - ID: default-pxelinux.tmpl
    Name: pxelinux-mac
    Path: pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}
  - ID: default-ipxe.tmpl
    Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: default-grub.tmpl
    Name: grub
    Path: grub/{{.Machine.Address}}.cfg
  - ID: default-grub.tmpl
    Name: grub-mac
    Path: grub/{{.Machine.MacAddr "grub"}}.cfg
  - ID: default-grub.tmpl
    Name: grub-secure
    Path: '{{.Env.PathFor "tftp" ""}}/EFI/BOOT/grub.cfg'
  - ID: "select-kickseed.tmpl"
    Name: "compute.ks"
    Path: "{{.Machine.Path}}/compute.ks"
  - Name: reset-workflow-runner.sh
    Path: "{{.Machine.Path}}/reset-workflow-runner.sh"
    Contents: |
      {{template "reset-workflow.tmpl" .}}
      {{template "runner.tmpl" .}}
